Swift SDK throws warnings in XCode 9

I’m using the Swift SDK (via CocoaPods: “AlgoliaSearch-Client-Swift”) and I am seeing 2 warnings in XCode.

  1. Conversion to Swift4 available
    The Algolia SDK is the ONLY Swift code in my app. When I click on the Conversion to Swift 4 Available, it tells me that changes are needed to the Algolia SDK code. Are these changes in the works?

  2. AlgoliaSearch-Client-Swift/Source/Helpers.swift:101:18: Overlapping accesses to ‘self’, but modification requires exclusive access; consider calling MutableCollection.swapAt(::slight_smile:

Same question - is there an update in the works to quiet these things for XCode 9 now that it has been released?

Thank you!